petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexVTKWriteAll

Write a file containing all the fields that have been provided to the viewer

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexVTKWriteAll(PetscObject odm, PetscViewer viewer)

Collective Many br

### Input Arguments

| odm | - The DMPlex specifying the mesh, passed as a PetscObject Many br
| viewer | - viewer of type VTK Many br

Many br

### Note

This function is a callback used by the VTK viewer to actually write the file. Many brThe reason for this odd model is that the VTK file format does not provide any way to write one field at a time. Many brInstead, metadata for the entire file needs to be available up-front before you can start writing the file. Many br

### See Also

PETSCVIEWERVTK

Level:developer
Location:src/dm/impls/plex/plexvtk.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages